Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Glacier2::PermissionsVerifier`

## Overview

    interface PermissionsVerifier

The Glacier2 permissions verifier.

### Operation Index

`checkPermissions`

  Check whether a user has permission to access the router.

## `checkPermissions`

    bool checkPermissions(string userId,
        string password,
        out string reason);

Check whether a user has permission to access the router.

### Parameters

`userId`

  The user id for which to check permission.

`password`

  The user's password.

`reason`

  The reason why access was denied.

### Return Value

True if access is granted, or false otherwise.

<<< Previous | Home | Next >>>
`Glacier2::PermissionDeniedException` | Up | `Glacier2::Router`